Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/mail_room')
-rwxr-xr-xbin/mail_room5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/mail_room b/bin/mail_room
index 2539e3d388e..cf9d422909e 100755
--- a/bin/mail_room
+++ b/bin/mail_room
@@ -1,6 +1,6 @@
#!/bin/sh
-cd $(dirname $0)/..
+cd $(dirname $0)/.. || exit 1
app_root=$(pwd)
mail_room_pidfile="$app_root/tmp/pids/mail_room.pid"
@@ -9,7 +9,8 @@ mail_room_config="$app_root/config/mail_room.yml"
get_mail_room_pid()
{
- local pid=$(cat $mail_room_pidfile)
+ local pid
+ pid=$(cat $mail_room_pidfile)
if [ -z "$pid" ] ; then
echo "Could not find a PID in $mail_room_pidfile"
exit 1